Bug 1792788 - gdcm fails to build in Fedora 32: no match for 'operator='
Summary: gdcm fails to build in Fedora 32: no match for 'operator='
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdcm
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS F33FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-01-20 00:13 UTC by Miro Hrončok
Modified: 2020-06-11 11:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-11 11:47:38 UTC
Type: Bug


Attachments (Terms of Use)
build.log from Koji (1.07 MB, text/plain)
2020-01-20 00:14 UTC, Miro Hrončok
no flags Details
root.log from Koji (114.76 KB, text/plain)
2020-01-20 00:14 UTC, Miro Hrončok
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1756429 0 unspecified CLOSED gdcm-3.0.7 is available 2021-02-22 00:41:40 UTC

Description Miro Hrončok 2020-01-20 00:13:59 UTC
Description of problem:
Package gdcm fails to build from source in Fedora rawhide.

/builddir/build/BUILD/GDCM-3.0.1/Applications/Cxx/gdcmpdf.cxx:342:35: error: no match for 'operator=' (operand types are 'std::unique_ptr<GlobalParams>' and 'GlobalParams*')


Version-Release number of selected component (if applicable):
3.0.1-4.fc32

Steps to Reproduce:
koji build --scratch f32 gdcm-3.0.1-4.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/gdcm

This blocks the Python 3.9 rebuild.

Comment 1 Miro Hrončok 2020-01-20 00:14:34 UTC
Created attachment 1653748 [details]
build.log from Koji

Comment 2 Miro Hrončok 2020-01-20 00:14:56 UTC
Created attachment 1653749 [details]
root.log from Koji

Comment 3 Ben Cotton 2020-02-11 17:33:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 4 Fedora Release Engineering 2020-02-16 04:28:20 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 5 Ankur Sinha (FranciscoD) 2020-02-16 19:47:50 UTC
Working on this.

Comment 6 Ankur Sinha (FranciscoD) 2020-02-16 20:20:33 UTC
There is a new release that fixes this particular bug, but fails on s390x. I've filed a bug upstream:

https://sourceforge.net/p/gdcm/bugs/498/

If need be, I can excludearch s390x and build it, at least for the other arches.

Comment 7 Miro Hrončok 2020-05-25 13:01:26 UTC
This comment is mass posted to all bugs blocking the Python 3.9 tracker, sorry if it is not 100 % relevant. When in doubt, please ask.


The Python 3.9 rebuild is in progress in a Koji side tag.

If you fix this bug, please don't rebuild the package in regular rawhide, but do it in the side tag with:

    $ fedpkg build --target=f33-python

The rebuild is progressing slowly and it is possible this package won't have all the required build dependencies yet. If that's the case, please just leave the fix committed and pushed and we will eventually rebuild it for you.

You are not asked to go and try rebuild all the missing dependencies yourself. If you know there is a bootstrap loop in the dependencies, let me know and we can untangle it together.

If you want to test your fix or reproduce the failure, you can still use the Copr repo mentioned in the initial comment of this bug: https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Comment 8 Miro Hrončok 2020-05-29 07:11:29 UTC
Python 3.9 update: The f33-python side tag is currently being merged.

New builds in f33-python are no longer possible, but python3 is not yet updated to Python 3.9 in rawhide. You can check when Python is Python 3.9 with:

    $ koji wait-repo f33-build --build python3.9-3.9.0~b1-3.fc3

And build the packages normally after that.

Comment 9 Miro Hrončok 2020-06-11 11:47:38 UTC
This is a bulk close of Python 3.9 bugzillas of packages that successfully built.
If this remained open for a reason, I am sorry and feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.